#include <iostream>
#include <cmath>

using namespace std;

int r[1000010] = {0};
int c[1000010] = {0};

int main()
{
    ios::sync_with_stdio(false);
    int n;
    cin >> n;
    int a,b;
    for(int i=0; i<n; i++)
    {
        cin >> a >> b;
        r[a]++;
        c[b]++;
    }
    int j = 1;
    int s = 0;
    for(int i=1; i<=n; i++)
    {
        while(r[j]<=1 && j<n)
            j++;
        if(r[i]==0)
        {
            s+=abs(j-i);
            r[j]--;
        }
        //cout << s << endl;
    }
    j = 0;
    for(int i=1; i<=n; i++)
    {
        while(c[j]<=1 && j<n)
            j++;
        if(c[i]==0)
        {
            s+=abs(j-i);
            c[j]--;
        }
        //cout << s << endl;
    }
    cout << s;
    return 0;
}